Bug 1273087 - Errors using incremental update of the KieBase and KieSession
Errors using incremental update of the KieBase and KieSession
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.1.0
Unspecified Unspecified
urgent Severity urgent
: CR2
: 6.2.0
Assigned To: Mario Fusco
Marek Winkler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-19 10:25 EDT by Martin Weiler
Modified: 2015-12-21 11:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-801 Major Resolved Attempt to remove KnowledgePackage causes ClassCastException 2017-01-04 06:56 EST
JBoss Issue Tracker DROOLS-891 Major Closed Missing alpha node removal when the only rule using it is removed 2017-01-04 06:56 EST
JBoss Issue Tracker DROOLS-893 Major Closed Segment memory prototypes are not invalidated correctly during an incremental compilation 2017-01-04 06:56 EST
JBoss Issue Tracker DROOLS-930 Major Closed ClassCastException after segment split during incremental compilation 2017-01-04 06:56 EST
JBoss Issue Tracker DROOLS-950 Major Closed Problem when a rule removal causes the merge of 2 segments and the first of the 2 haven't been initialized yet 2017-01-04 06:56 EST
JBoss Issue Tracker DROOLS-951 Major Closed Removing 2 or more rules does not retract justified objects 2017-01-04 06:56 EST
JBoss Issue Tracker DROOLS-954 Major Closed Removal of a rule having a sub-sub-network doesn't cleanup the outermost subnetwork 2017-01-04 06:56 EST

  None (edit)
Description Martin Weiler 2015-10-19 10:25:49 EDT
Description of problem:
Platform issue to ensure the fixes for the following two JIRAs make it into BRMS 6.2.0:

* Problem when a rule removal causes the merge of 2 segments and the first of the 2 haven't been initialized yet
  https://issues.jboss.org/browse/DROOLS-950

* Removal of a rule having a sub-sub-network doesn't cleanup the outermost subnetwork
  https://issues.jboss.org/browse/DROOLS-954


Additional info:
See related JIRAs for further info
Comment 1 JBoss JIRA Server 2015-10-19 12:09:03 EDT
Mario Fusco <mario.fusco@gmail.com> updated the status of jira DROOLS-954 to Closed
Comment 3 Marek Winkler 2015-11-05 08:13:26 EST
The tests have passed and no regression has been found. However, there is a minor problem with missing @Test annotation in [1] causing one test not to run.

Please see PR [2] adding the missing annotation.

I have run the test locally and it passed; however, I am setting this BZ to assigned to get the test fixed in the product branch as well.

[1] https://github.com/droolsjbpm/drools/blob/74640f6a123d47fa33e122de3d331b544262c602/drools-compiler/src/test/java/org/drools/compiler/integrationtests/IncrementalCompilationTest.java#L2084

[2] https://github.com/droolsjbpm/drools/pull/546
Comment 6 Mario Fusco 2015-11-19 10:58:04 EST
Last commit cherry-picked by https://github.com/droolsjbpm/drools/commit/83a8cec27
Comment 8 Marek Winkler 2015-12-02 08:02:08 EST
Verified in BRMS 6.2.0 CR2.

Note You need to log in before you can comment on or make changes to this bug.